from rpcore.pluginbase.base_plugin import BasePlugin

from .dof_stage import DoFStage


class Plugin(BasePlugin):

    name = "Depth of Field"
    author = "tobspr <tobias.springer1@gmail.com>"
    description = ("Adds support for depth of field")
    version = "alpha (!)"

    def on_stage_setup(self):
        self._stage = self.create_stage(DoFStage)

    def on_pipeline_created(self):
        pass

    def update_some_setting(self):
        """ This method gets called when the setting "some_setting"
        of your plugin gets called. You should do all work to update required
        inputs etc. yourself. """
